### Enumeration

# GWeather TemperatureUnit

#### Declaration

    enum GWeather.TemperatureUnit

#### Description [src]

The measure unit to use for temperature values, when retrieved by the `gweather_info_get_value_temp()` family of functions.

#### Members

Name | Description
--- | ---
`GWEATHER_TEMP_UNIT_INVALID` | Invalid unit.
`GWEATHER_TEMP_UNIT_DEFAULT` | The user preferred temperature unit.
`GWEATHER_TEMP_UNIT_KELVIN` | Kelvin (absolute) temperature scale.
`GWEATHER_TEMP_UNIT_CENTIGRADE` | Celsius temperature scale.
`GWEATHER_TEMP_UNIT_FAHRENHEIT` | Fahrenheit temperature scale.

#### Type functions

###### gweather_temperature_unit_to_real

Resolve `unit` into a real temperature unit, potentially considering locale defaults.